Name:           python-pearl
Version:        2.3.12
Release:        %autorelease
Summary:        Pearl is a lightweight package manager for automating reproducible environments between different systems (Linux and OSX). It can be used for dotfiles, plugins, programs and any form of code accessible via git.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-only
URL:            http://github.com/pearl-core/pearl
Source:         %{pypi_source pearl}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pearl' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-pearl
Summary:        %{summary}

%description -n python3-pearl %_description


%prep
%autosetup -p1 -n pearl-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-pearl -f %{pyproject_files}


%changelog
%autochangelog